%            b     blue          .     point              -     solid
%            g     green         o     circle             :     dotted
%            r     red           x     x-mark             -.    dashdot 
%            c     cyan          +     plus               --    dashed   
%            m     magenta       *     star             (none)  no line
%            y     yellow        s     square
%            k     black         d     diamond
%            w     white         v     triangle (down)
%                                ^     triangle (up)
%                                <     triangle (left)
%                                >     triangle (right)
%                                p     pentagram
%                                h     hexagram
%         


clear all;


N=4;

%------------------------------------%
fid = fopen ( 'dp3.txt','r');
X=fscanf(fid,'%f');
fclose(fid);
X=reshape(X,N+1,length(X)/(N+1));
X=X';

L1=X(round(1+linspace(1,length(X)-1,10)),:);
L2=X(round(3+linspace(1,length(X)-3,11)),:);
L3=X(round(5+linspace(1,length(X)-5,12)),:);
L4=X(round(7+linspace(1,length(X)-7,13)),:);
%L5=X(round(9+linspace(1,length(X)-9,14)),:);
%L6=X(round(11+linspace(1,length(X)-11,15)),:);
%L7=X(round(13+linspace(1,length(X)-13,16)),:);
 
 
%------------------------------------%
  
hold on;
 
 
plot ( L1(:,1) , L1(:,2) , 'v', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','b','MarkerSize',7 ); 
plot ( L2(:,1) , L2(:,3) , 'd', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','g','MarkerSize',7 ); 
plot ( L3(:,1) , L3(:,4) , 'o', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','r','MarkerSize',7 ); 
plot ( L4(:,1) , L4(:,5) , '^', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','c','MarkerSize',7 ); 
%plot ( L5(:,1) , L5(:,6) , 'p', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','m','MarkerSize',7 ); 
%plot ( L6(:,1) , L6(:,7) , 's', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','y','MarkerSize',7 ); 
%plot ( L7(:,1) , L7(:,8) , '<', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',7 ); 


plot( X(:,1) , X(:,2) , 'b--' );    
plot( X(:,1) , X(:,3) , 'g--' );
plot( X(:,1) , X(:,4) , 'r--' );
plot( X(:,1) , X(:,5) , 'c--' );
%plot( X(:,1) , X(:,6) , 'm--' );
%plot( X(:,1) , X(:,7) , 'y--' );
%plot( X(:,1) , X(:,8) , 'k--' );

 
title ( 'Data profile NOMAD (3.6.2) (err=1e-3, Data profile MW)' );
 
axis ( [1 400  0  100] );
 
legend ( 'Mads(suc,neg)','Mads(suc,opt)','Mads(mod,neg)','Mads(mod,opt)');

xlabel ( 'Groups of n+1 evaluations' );
ylabel ( 'Percentage of problems solved' );

hold off;